Skip to main content
GET
/
api
/
v1
/
secret-syncs
/
digital-ocean-app-platform
/
sync-name
/
{syncName}
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/secret-syncs/digital-ocean-app-platform/sync-name/{syncName}
{
  "secretSync": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "projectId": "<string>",
    "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "syncOptions": {
      "initialSyncBehavior": "overwrite-destination",
      "keySchema": "<string>",
      "disableSecretDeletion": true
    },
    "connection": {
      "app": "digital-ocean",
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "environment": {
      "slug": "<string>",
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "folder": {
      "id": "<string>",
      "path": "<string>"
    },
    "destination": "digital-ocean-app-platform",
    "destinationConfig": {
      "appId": "<string>",
      "appName": "<string>"
    },
    "description": "<string>",
    "isAutoSyncEnabled": true,
    "version": 1,
    "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "syncStatus": "<string>",
    "lastSyncJobId": "<string>",
    "lastSyncMessage": "<string>",
    "lastSyncedAt": "2023-11-07T05:31:56Z",
    "importStatus": "<string>",
    "lastImportJobId": "<string>",
    "lastImportMessage": "<string>",
    "lastImportedAt": "2023-11-07T05:31:56Z",
    "removeStatus": "<string>",
    "lastRemoveJobId": "<string>",
    "lastRemoveMessage": "<string>",
    "lastRemovedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

syncName
string
required

The name of the Digital Ocean App Platform Sync to retrieve.

Minimum string length: 1

Query Parameters

projectId
string
required

The ID of the project the Digital Ocean App Platform Sync is associated with.

Minimum string length: 1

Response

Default Response

secretSync
Digital Ocean App Platform · object
required